[BUGFIX] Allow requirejs modules from wizards in RTE fields 55/57755/3
authorHelmut Hummel <typo3@helhum.io>
Wed, 1 Aug 2018 10:42:47 +0000 (12:42 +0200)
committerNicole Cordes <typo3@cordes.co>
Wed, 1 Aug 2018 13:57:11 +0000 (15:57 +0200)
The RichTextElement must not unset "requireJsModules"
from the result array as this removes previously added
modules.

Resolves: #85705
Releases: master, 8.7
Change-Id: I495732f0a1f16db84b8ec6daa2fd028e4a3a9dee
Reviewed-on: https://review.typo3.org/57755
Reviewed-by: Helmut Hummel <typo3@helhum.io>
Tested-by: Helmut Hummel <typo3@helhum.io>
Tested-by: TYPO3com <no-reply@typo3.com>
typo3/sysext/rte_ckeditor/Classes/Form/Element/RichTextElement.php

index d1bf2b5..26a27d5 100644 (file)
@@ -123,7 +123,6 @@ class RichTextElement extends AbstractFormElement
         $resultArray['html'] = implode(LF, $html);
 
         $this->rteConfiguration = $config['richtextConfiguration']['editor'];
-        $resultArray['requireJsModules'] = [];
         $resultArray['requireJsModules'][] = [
             'ckeditor' => $this->getCkEditorRequireJsModuleCode($fieldId)
         ];